Get Gdrive File
GET
/api/v1/gdrive-filesAuthorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredQuery parameters
namestringrequiredExact file name without extension, e.g. 'UA_Promo_v3'
min length 1
Responses
200Successful Response
successbooleandefault: true
dataGdriveFileInfo | anyShow propertiesHide properties
Any of:
GdriveFileInfo
drive_file_idstringrequireddrive_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfolder_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyparent_folder_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyparentsstring[]default: []
namestringrequiredpathstring | anyShow propertiesHide properties
Any of:
string
stringany
anymime_typestring | anyShow propertiesHide properties
Any of:
string
stringany
anysizeinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anymd5string | anyShow propertiesHide properties
Any of:
string
stringany
anysha256string | anyShow propertiesHide properties
Any of:
string
stringany
anyfile_created_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyfirst_seen_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyseen_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyupdated_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyduplicates_countintegerdefault: 0
syncSyncInforequiredShow propertiesHide properties
statusstringrequiredattemptsintegerdefault: 0
probeProbeInfo | anyShow propertiesHide properties
Any of:
ProbeInfo
duration_msinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anywidthinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyheightinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anycodecstring | anyShow propertiesHide properties
Any of:
string
stringany
anybitrateinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyhas_audioboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyany
anyvideo_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyoriginal_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anypreview_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyposter_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyanalysisAnalysisInfo | anyShow propertiesHide properties
Any of:
AnalysisInfo
statusstringrequiredattemptsintegerdefault: 0
stepsobjectdefault: {}
vlmobject | anyShow propertiesHide properties
Any of:
object
objectany
anyvlm_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyscenes_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyhook_framesHookFramesInfo | anyShow propertiesHide properties
Any of:
HookFramesInfo
frame_countintegerrequiredfallbackboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anymanifest_urlstringrequiredframe_urlsstring[]requiredany
anyany
anyany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "/api/v1/gdrive-files?name=string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/gdrive-files?name=string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/gdrive-files?name=string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": {
"drive_file_id": "string",
"drive_id": "string",
"folder_id": "string",
"parent_folder_id": "string",
"parents": [],
"name": "string",
"path": "string",
"mime_type": "string",
"size": 0,
"md5": "string",
"sha256": "string",
"file_created_at": "2019-08-24T14:15:22Z",
"first_seen_at": "2019-08-24T14:15:22Z",
"seen_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"duplicates_count": 0,
"sync": {
"status": "string",
"attempts": 0
},
"probe": {
"duration_ms": 0,
"width": 0,
"height": 0,
"codec": "string",
"bitrate": 0,
"has_audio": true
},
"video_url": "string",
"original_url": "string",
"preview_url": "string",
"poster_url": "string",
"analysis": {
"status": "string",
"attempts": 0,
"steps": {},
"vlm": {},
"vlm_url": "string",
"scenes_url": "string",
"hook_frames": {
"frame_count": 0,
"fallback": true,
"manifest_url": "string",
"frame_urls": [
"string"
]
}
}
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}